Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | List of all members
Botan::noop_mutex Class Referencefinal

`#include <mutex.h>`

## Public Member Functions
void | lock ()
void | unlock ()

## Detailed Description

Definition at line 45 of file mutex.h.

## Member Function Documentation

## ◆ lock()

void Botan::noop_mutex::lock | ( |  | ) |
| inline

Definition at line 48 of file mutex.h.

48{}

## ◆ unlock()

void Botan::noop_mutex::unlock | ( |  | ) |
| inline

Definition at line 49 of file mutex.h.

49{}

The documentation for this class was generated from the following file:

- src/lib/utils/mutex.h